# zmq_msg_size(3) Manual Page

## NAME

zmq_msg_size - retrieve message content size in bytes

## SYNOPSIS

size_t zmq_msg_size (zmq_msg_t *msg);

## DESCRIPTION

The zmq_msg_size() function shall return the size in bytes of the content of the message object referenced by msg.

Caution | Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

## RETURN VALUE

Upon successful completion, zmq_msg_size() shall return the size of the message content in bytes.

## ERRORS

No errors are defined.

## SEE ALSO

zmq_msg_data(3) zmq_msg_init(3) zmq_msg_init_size(3) zmq_msg_init_data(3) zmq_msg_close(3) zmq(7)

## AUTHORS

The ØMQ documentation was written by Martin Sustrik <sustrik@250bpm.com> and Martin Lucina <martin@lucina.net>.